package cn.net.caoyao.cpzshandset.bean;

import java.io.Serializable;

public class ExchangeCargoBean implements Serializable{
	private int id;//id：主键自增
	private int product_id;//product_id：产品id
	private int from_dealer_id;//from_dealer_id：发货方经销商id
	private int to_dealer_id;//to_dealer_id：收货方经销商id
	private int to_dealer_sale_area = 0;
	private int exchange_count;//exchange_count：调货数量
	private int option_mode;//option_mode：操作方式 0：单标激活 1：批量激活
	private int status=0;//status：提交状态 0：未提交 1：提交失败
	private int error_code;//error_code：服务器返回的错误码
	private String createDate;//
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getProduct_id() {
		return product_id;
	}
	public void setProduct_id(int product_id) {
		this.product_id = product_id;
	}
	public int getFrom_dealer_id() {
		return from_dealer_id;
	}
	public void setFrom_dealer_id(int from_dealer_id) {
		this.from_dealer_id = from_dealer_id;
	}
	public int getTo_dealer_id() {
		return to_dealer_id;
	}
	public void setTo_dealer_id(int to_dealer_id) {
		this.to_dealer_id = to_dealer_id;
	}
	public int getExchange_count() {
		return exchange_count;
	}
	public void setExchange_count(int exchange_count) {
		this.exchange_count = exchange_count;
	}
	public int getOption_mode() {
		return option_mode;
	}
	public void setOption_mode(int option_mode) {
		this.option_mode = option_mode;
	}
	public int getStatus() {
		return status;
	}
	public void setStatus(int status) {
		this.status = status;
	}
	public int getError_code() {
		return error_code;
	}
	public void setError_code(int error_code) {
		this.error_code = error_code;
	}
	public String getCreateDate() {
		return createDate;
	}
	public void setCreateDate(String createDate) {
		this.createDate = createDate;
	}
	public int getTo_dealer_sale_area() {
		return to_dealer_sale_area;
	}
	public void setTo_dealer_sale_area(int to_dealer_sale_area) {
		this.to_dealer_sale_area = to_dealer_sale_area;
	}
	@Override
	public String toString() {
		return "ExchangeCargoBean [id=" + id + ", product_id=" + product_id + ", from_dealer_id=" + from_dealer_id
				+ ", to_dealer_id=" + to_dealer_id + ", to_dealer_sale_area=" + to_dealer_sale_area
				+ ", exchange_count=" + exchange_count + ", option_mode=" + option_mode + ", status=" + status
				+ ", error_code=" + error_code + ", createDate=" + createDate + "]";
	}
}
